OpenMesh: OpenMesh::CirculatorRange< CirculatorRangeTraitT > Class Template Reference

| OpenMesh

Public Types | Public Member Functions | List of all members
OpenMesh::CirculatorRange< CirculatorRangeTraitT > Class Template Reference

Generic class for iterator ranges. More...

`#include <OpenMesh/Core/Mesh/PolyConnectivity_inline_impl.hh>`

Inheritance diagram for OpenMesh::CirculatorRange< CirculatorRangeTraitT >:
[legend]
Collaboration diagram for OpenMesh::CirculatorRange< CirculatorRangeTraitT >:
[legend]

## Public Types
typedef CirculatorRangeTraitT::ITER_TYPE | ITER_TYPE
typedef CirculatorRangeTraitT::CENTER_ENTITY_TYPE | CENTER_ENTITY_TYPE
typedef CirculatorRangeTraitT::CONTAINER_TYPE | CONTAINER_TYPE
typedef ITER_TYPE | iterator
typedef ITER_TYPE | const_iterator
Public Types inherited from OpenMesh::SmartRangeT< CirculatorRange< CirculatorRangeTraitT >, SmartHandle< CirculatorRangeTraitT::TO_ENTITYE_TYPE >::type >
using | Handle = SmartHandle< CirculatorRangeTraitT::TO_ENTITYE_TYPE >::type
using | SmartRange = SmartRangeT< CirculatorRange< CirculatorRangeTraitT >, SmartHandle< CirculatorRangeTraitT::TO_ENTITYE_TYPE >::type >
using | Range = CirculatorRange< CirculatorRangeTraitT >

## Public Member Functions
| CirculatorRange (const CONTAINER_TYPE &container, CENTER_ENTITY_TYPE center)
| CirculatorRange (const CONTAINER_TYPE &container, HalfedgeHandle heh, int)
ITER_TYPE | begin () const
ITER_TYPE | end () const
Public Member Functions inherited from OpenMesh::SmartRangeT< CirculatorRange< CirculatorRangeTraitT >, SmartHandle< CirculatorRangeTraitT::TO_ENTITYE_TYPE >::type >
auto | sum (Functor &&f) -> typename std::decay< decltype(f(std::declval< SmartHandle< CirculatorRangeTraitT::TO_ENTITYE_TYPE >::type >()))>::type
| Computes the sum of elements. More...
auto | avg (Functor &&f) -> typename std::decay< decltype(f(std::declval< SmartHandle< CirculatorRangeTraitT::TO_ENTITYE_TYPE >::type >()))>::type
| Computes the average of elements. More...
auto | avg (Functor &&f, WeightFunctor &&w) -> typename std::decay< decltype((1.0/(w(std::declval< SmartHandle< CirculatorRangeTraitT::TO_ENTITYE_TYPE >::type >())+w(std::declval< SmartHandle< CirculatorRangeTraitT::TO_ENTITYE_TYPE >::type >()))) *f(std::declval< SmartHandle< CirculatorRangeTraitT::TO_ENTITYE_TYPE >::type >()))>::type
| Computes the weighted average of elements. More...
auto | any_of (Functor &&f) -> bool
| Check if any element fulfils condition. More...
auto | all_of (Functor &&f) -> bool
| Check if all elements fulfil condition. More...
auto | to_array (Functor &&f={}) -> std::array< typename std::decay< decltype(f(std::declval< SmartHandle< CirculatorRangeTraitT::TO_ENTITYE_TYPE >::type >()))>::type, n >
| Convert range to array. More...
auto | to_vector (Functor &&f={}) -> std::vector< typename std::decay< decltype(f(std::declval< SmartHandle< CirculatorRangeTraitT::TO_ENTITYE_TYPE >::type >()))>::type >
| Convert range to vector. More...
auto | to_set (Functor &&f={}) -> std::set< typename std::decay< decltype(f(std::declval< SmartHandle< CirculatorRangeTraitT::TO_ENTITYE_TYPE >::type >()))>::type >
| Convert range to set. More...
auto | first (Functor &&f={}) -> SmartHandle< CirculatorRangeTraitT::TO_ENTITYE_TYPE >::type
| Get the first element that fulfills a condition. More...
auto | min (Functor &&f) -> typename std::decay< decltype(f(std::declval< SmartHandle< CirculatorRangeTraitT::TO_ENTITYE_TYPE >::type >()))>::type
| Compute minimum. More...
auto | argmin (Functor &&f) -> SmartHandle< CirculatorRangeTraitT::TO_ENTITYE_TYPE >::type
| Compute minimal element. More...
auto | max (Functor &&f) -> typename std::decay< decltype(f(std::declval< SmartHandle< CirculatorRangeTraitT::TO_ENTITYE_TYPE >::type >()))>::type
| Compute maximum. More...
auto | argmax (Functor &&f) -> SmartHandle< CirculatorRangeTraitT::TO_ENTITYE_TYPE >::type
| Compute maximal element. More...
auto | minmax (Functor &&f) -> std::pair< typename std::decay< decltype(f(std::declval< SmartHandle< CirculatorRangeTraitT::TO_ENTITYE_TYPE >::type >()))>::type, typename std::decay< decltype(f(std::declval< SmartHandle< CirculatorRangeTraitT::TO_ENTITYE_TYPE >::type >()))>::type >
| Computes minimum and maximum. More...
auto | count_if (Functor &&f) -> int
| Compute number of elements that satisfy a given predicate. More...
auto | for_each (Functor &&f) -> void
| Apply a functor to each element. More...
auto | filtered (Functor &&f) -> FilteredSmartRangeT< SmartRange, Handle, Functor >
| Only iterate over a subset of elements. More...

## Detailed Description

### template<typename CirculatorRangeTraitT>
class OpenMesh::CirculatorRange< CirculatorRangeTraitT >

Generic class for iterator ranges.

The documentation for this class was generated from the following files:

- OpenMesh/Core/Mesh/CirculatorsT.hh
- OpenMesh/Core/Mesh/PolyConnectivity_inline_impl.hh